Verify one-touch login

Verifies a one-time passcode (OTP) for login without requiring User registration, including captcha validation and optional security answers.

POST
/identity/v2/auth/onetouchlogin/phone/verify

Verifies a one-time passcode (OTP) for login without requiring User registration, including captcha validation and optional security answers.

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

prevent_webhook?boolean

When true, suppresses webhook events for this operation.

otp?string

One-time passcode sent to the User's Email.

smstemplate?string

SMS Template

g-recaptcha-response?string

Google reCAPTCHA response parameter which will be sent to the server for verification.

g_recaptcha_response?string

Google reCAPTCHA Response

qq_recaptcha_ticket?string

QQ reCAPTCHA Response

qq_recaptcha_randstr?string

QQ reCAPTCHA Response

h-captcha-response?string

hCaptcha Response

Header Parameters

X-PreventWebhook?boolean

When true, suppresses webhook events for this operation.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/identity/v2/auth/onetouchlogin/phone/verify?prevent_webhook=true&otp=123456&smstemplate=SMS-Template&g-recaptcha-response=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9&g_recaptcha_response=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9&qq_recaptcha_ticket=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9&qq_recaptcha_randstr=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9&h-captcha-response=03AGdBq24e1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p7q8r9s0t1u2v3w4x5y6z7a8b9c0d1e2f3g4h5i6j7k8l9m0n1o2p3q4r5s6t7u8v9w0x1y2z3a4b5c6d7e8f9g0h1i2j3k4l5m6n7o8p9q0r1s2t3u4v5w6x7y8z9" \  -H "X-PreventWebhook: true" \  -H "Content-Type: application/json" \  -d '{    "Phone": "+1234567890"  }'
{
  "IsPosted": true
}

{
  "ErrorCode": 1079,
  "Message": "Put body is invalid or empty",
  "Description": "Please use a valid put body in JSON format in order to process this request."
}

{
  "errorCode": 1409,
  "message": "Authentication failed",
  "description": "The credentials provided could not be authenticated."
}

{
  "ErrorCode": 1074,
  "Message": "Phone number login is not enabled",
  "Description": "The phone number login is not enabled, please enable the phone number login in order to process this request."
}

{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}